## org.eclipse.emf.codegen.merge.java.facade.jdom
Class JDOMJMember

    java.lang.Object
      org.eclipse.emf.codegen.merge.java.facade.AbstractJNode
          org.eclipse.emf.codegen.merge.java.facade.jdom.JDOMJNode
              org.eclipse.emf.codegen.merge.java.facade.jdom.JDOMJMember

All Implemented Interfaces:
  JMember, JNode

Direct Known Subclasses:
  JDOMJField, JDOMJInitializer, JDOMJMethod, JDOMJType

    public abstract class JDOMJMember

extends JDOMJNode
implements JMember

Since:
  2.2.0

Field Summary

Fields inherited from class org.eclipse.emf.codegen.merge.java.facade.AbstractJNode
`EMPTY_STRING_ARRAY, qualifiedName`

Constructor Summary
`protected` `JDOMJMember(org.eclipse.jdt.core.jdom.IDOMMember member)`

Method Summary
`java.lang.String` `getComment()` Returns the comment associated with this member (including comment delimiters).
`java.lang.String` `getContents()` Returns the current contents of this document fragment.
`int` `getFlags()` Returns the modifier flags for this node.
`protected org.eclipse.jdt.core.jdom.IDOMMember` `getWrappedObject()`
`void` `setComment(java.lang.String comment)` Sets the comment associated with this member.
`void` `setFlags(int flags)` Sets the flags for this member.
`protected java.lang.String[]` `splitLastComment(java.lang.String contents)`

Methods inherited from class org.eclipse.emf.codegen.merge.java.facade.jdom.JDOMJNode
`dispose, getChildren, getFacadeHelper, getName, getParent, isDisposed, setFacadeHelper, setName`

Methods inherited from class org.eclipse.emf.codegen.merge.java.facade.AbstractJNode
`computeQualifiedName, computeQualifiedName, computeQualifiedName, computeQualifiedName, getName, getQualifiedName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.codegen.merge.java.facade.JNode
`getChildren, getName, getParent, getQualifiedName, setName`

Constructor Detail

### JDOMJMember

    protected JDOMJMember(org.eclipse.jdt.core.jdom.IDOMMember member)

Parameters:
  `member` -

Method Detail

### getWrappedObject

    protected org.eclipse.jdt.core.jdom.IDOMMember getWrappedObject()

  Overrides:
    `getWrappedObject` in class `JDOMJNode`

### getFlags

    public int getFlags()

  Description copied from interface: `JNode`
  Returns the modifier flags for this node. The flags can be examined using class `FacadeFlags`.

  Specified by:
    `getFlags` in interface `JNode`
  Overrides:
    `getFlags` in class `JDOMJNode`

### setFlags

    public void setFlags(int flags)

  Description copied from interface: `JNode`
  Sets the flags for this member. The flags can be examined using the `FacadeFlags` class.

  Specified by:
    `setFlags` in interface `JNode`
  Overrides:
    `setFlags` in class `JDOMJNode`
  Parameters:
    `flags` - the flags

### getComment

    public java.lang.String getComment()

  Description copied from interface: `JMember`
  Returns the comment associated with this member (including comment delimiters).

  Specified by:
    `getComment` in interface `JMember`
  Returns:
    the comment, or `null` if this member has no associated comment

### setComment

    public void setComment(java.lang.String comment)

  Description copied from interface: `JMember`
  Sets the comment associated with this member. The comment will appear before the member in the source. The comment must be properly formatted, including delimiters. A `null` comment indicates no comment.

  Specified by:
    `setComment` in interface `JMember`
  Parameters:
    `comment` - the comment, including comment delimiters, or `null` indicating this member should have no associated comment

### getContents

    public java.lang.String getContents()

  Description copied from interface: `JNode`
  Returns the current contents of this document fragment.

  Note: To obtain complete source for the ".java" file, ask a compilation unit node for its contents.

  Specified by:
    `getContents` in interface `JNode`
  Overrides:
    `getContents` in class `JDOMJNode`
  Returns:
    the contents, or `null` if this node has no contents

### splitLastComment

    protected java.lang.String[] splitLastComment(java.lang.String contents)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.